%define module_name TeX-AutoTeX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CAM/PDF.pm) perl(Class/Accessor/Fast.pm) perl(Error.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(arXiv/FileGuess.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.906.0
Release: alt2
Summary: automated processing of (La-)TeX sources
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TS/TSCHWAND/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module is the basis for arXiv's automatic (La-)TeX processing. The
normal use is to point it at a directory with an assortment of files in it,
and the process method will attempt to generated DVI, PostScript, or PDF from
the input based on heuristics which have been developed and employed by arXiv
for many years. The resulting file(s) remain in the same directory. It is up
to the calling process to pre- or post-process the directory contents as
required.

No particular naming conventions or other requirements are imposed on the
source material, and sub-directories are permitted. The module attempts to
determine processing order and input format based on file characteristics and
heuristics and generally does not require any user input.

Note that arXiv does not allow execution of external programs from `TeX' or
`dvips' (paranoid setting in texmf.cnf), and that neither `makeindex' or
`bibtex' or similar intermediate programs are run. These are deliberate
choices. Consequently this module doesn't provide that functionality either.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/T*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.906.0-alt2
- updated summary

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.906.0-alt1
- initial import by package builder

